# you may want to modify the GISBASE location

GRASS_VERSION='-7.0.svn'
GISBASE=/usr/local/grass${GRASS_VERSION}/
export GISBASE

export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH="$GISBASE/etc/python:$PYTHONPATH"
export MANPATH=$MANPATH:$GISBASE/man

export LOCATION_NAME=region_map

BASE=`pwd`

export GISDBASE=$BASE
export MAPSET=PERMANENT

echo "GISDBASE: $GISDBASE
MAPSET: $MAPSET
LOCATION_NAME: $LOCATION_NAME
GRASS_GUI: text" > $HOME/.grassrc7_$LOCATION_NAME
export GISRC=$HOME/.grassrc7_$LOCATION_NAME

rm -rf $LOCATION_NAME
mkdir -p $LOCATION_NAME/$MAPSET
cp -a eu_hydro1k/* $LOCATION_NAME/$MAPSET || exit 1

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'


v.in.ascii input=point_test.txt output=test_point
v.in.ascii input=basin_text.txt output=test_bas format=standard
v.db.addtable test_bas
v.db.addcolumn test_point columns="cat_basin Int"

v.distance from=test_point to=test_bas column=cat_basin to_column=cat upload=to_attr
 # gdb --args v.distance from=test_point to=test_bas column=cat_basin to_column=cat upload=to_attr

